> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client content delivery regions list

> Get information about all regions that might be used for content delivery for a specific client.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/admin/billing_regions
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/admin/billing_regions:
    get:
      tags:
        - Balancer
      summary: Get client content delivery regions list
      description: >-
        Get information about all regions that might be used for content
        delivery for a specific client.
      operationId: get-client-content-delivery-regions-list
      parameters:
        - $ref: '#/components/parameters/query_client_id'
      responses:
        '200':
          $ref: '#/components/responses/BillingRegionsList'
        '400':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    query_client_id:
      name: client_id
      in: query
      schema:
        type: integer
      description: Client account ID.
  responses:
    BillingRegionsList:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BillingRegionsList'
          examples:
            default:
              $ref: '#/components/examples/BillingRegionsList'
    NotFound:
      description: The client is not found.
  schemas:
    BillingRegionsList:
      type: array
      items:
        $ref: '#/components/schemas/BillingRegionDetails'
    BillingRegionDetails:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_balancer_billing_regions_ID'
        name:
          allOf:
            - $ref: '#/components/schemas/body_response_balancer_billing_regions_Name'
        created_at:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_billing_regions_CreatedAt
        changed_at:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_billing_regions_ChangedAt
        description:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_billing_regions_Description
        required:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_billing_regions_Required
        visible:
          type: boolean
          description: Parameter is **legacy**.
        localization:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_billing_regions_Localization
    body_response_balancer_billing_regions_ID:
      type: integer
      description: Region ID.
    body_response_balancer_billing_regions_Name:
      type: string
      description: Region abbreviation.
    body_response_balancer_billing_regions_CreatedAt:
      type: string
      description: Date of region creation.
    body_response_balancer_billing_regions_ChangedAt:
      type: string
      description: Date of the last update of the information about the region.
    body_response_balancer_billing_regions_Description:
      type: string
      description: Region full name.
    body_response_balancer_billing_regions_Required:
      type: boolean
      description: |-
        Defines whether the region is the default location handler or not.

        Default location handler cannot be excluded from the content delivery.

        Possible values:
        - **true** - Region is the default location handler.
        - **false** - Region is not the default location handler.
    body_response_balancer_billing_regions_Localization:
      description: Region full name translated into different languages.
      type: array
      items:
        type: object
      nullable: true
  examples:
    BillingRegionsList:
      value:
        - id: 1
          name: region1
          created_at: ''
          changed_at: ''
          description: Region 1
          required: false
          visible: false
          localization: null
        - id: 2
          name: region2
          created_at: ''
          changed_at: ''
          description: Region 2
          required: false
          visible: false
          localization: null
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````